Local Space Influence Zone
POST
/local-space/influence-zone
curl -X POST https://api.astroway.info/v1/local-space/influence-zone \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52, "targetLat": 48.8566, "targetLng": 2.3522 }'const res = await fetch('https://api.astroway.info/v1/local-space/influence-zone', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52, "targetLat": 48.8566, "targetLng": 2.3522 }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/local-space/influence-zone', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'date': "1990-05-15", 'time': "14:30:00", 'timezoneOffset': 3, 'latitude': 50.45, 'longitude': 30.52, 'targetLat': 48.8566, 'targetLng': 2.3522 },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('local-space/influence-zone', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'date' => '1990-05-15', 'time' => '14:30:00', 'timezoneOffset' => 3, 'latitude' => 50.45, 'longitude' => 30.52, 'targetLat' => 48.8566, 'targetLng' => 2.3522, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Calculate the local space influence zone lines for a chart relocated to a specific city — lines on the map showing planet directions from that location.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
latitude required
number
longitude required
number
azimuth required
number
halfAngle
number
maxDistDeg
number
Example
{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52, "targetLat": 48.8566, "targetLng": 2.3522}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
location
object
latitude
number
longitude
number
lines
Array<object>
object
planet
string
azimuth
number
endPoint
object
lat
number
lng
number
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.